TERMIT(30)

NAME
termit - lightweight terminal emulator

SYNOPSIS
termit [-option ...]

DESCRIPTION
termit is a vte-based lightweight terminal emulator. All configuration is done via Lua-scripts. The only other dependencies are Gtk+ and Vte.

OPTIONS
-h or --help
    Print help
-v or --version
    Print version number
-e or --execute cmd
    Use cmd as shell

    termit --execute=zsh

-i or --init file
    Use file instead of default init.lua

    termit --init=session.lua

FILES
$HOME/.config/termit/init.lua
    Per user configuration file. See section TERMIT LUA API for further details.
/usr/share/doc/termit/init.lua.example
    Example init.lua file. Demonstrates usage of almost all available settings.

TERMIT LUA API
setOptions ( opts ) Changes default options.
    opts - table with new options:
        tabName - default tab name
        encoding - default encoding
        wordChars - word characters (double click selects word)
        font - font name
        foregroundColor
        backgroundColor
        showScrollbar
        fillTabbar - expand tabs' titles to fill whole tabbar
        allowChangingTitle - auto change title (similar to xterm)
        audibleBell - enables audible bell
        visibleBell - enables visible bell
        urgencyOnBell - marks termit window with urgency hint when one of its tabs bells
        getWindowTitle - lua function to generate new window title
        getTabTitle - lua function to generate new tab title
        transparentBackground - use transparency
        transparentSaturation - level of saturation [0,1]
        hideSingleTab
        hideMenubar
        scrollbackLines
        geometry - cols x rows to start with

bindKey ( keys , luaFunction ) Sets new keybinding. If luaFunction is nil removes keybinding.
    keys - string with keybinding
    luaFunction - callback function

bindMouse ( event , luaFunction ) Sets new mouse-binding. If luaFunction is nil removes mouse-binding.
    event - string with one of those values:
        DoubleClick
    luaFunction - callback function

setKbPolicy ( kb_policy ) Sets keyuboard policy for shortcuts.
    kb_policy - string with one of those values:
        keycode - use hardware keyboard codes (XkbLayout-independent)
        keysym - use keysym values (XkbLayout-dependent)

setMatches ( matchesTable ) Sets different action for matching patterns.
    matchesTable - table with special structure:
        field name is regex pattern
        field value is Lua function

    WARNING: setMatches is the experimental feature. Behaviour can change in next releases.

currentTabIndex () Returns current tab index.

openTab ( tabInfo ) Opens new tab.
    tabinfo - table with tab settings:
        name - tab name
        command - command to run as "shell"
        encoding
        working_dir

prevTab () Activates previous tab.

nextTab () Activates next tab.

closeTab () Closes active tab.

activateTab ( tab_index ) Activates tab by index.
    tab_index - index of tab to activate. Index of the first tab is 1.

copy () Copies selection into tab's buffer.

paste () Pastes tab's buffer.

addMenu ( menu ) Adds menu in menubar.
    menu - table with nested menuitems
        menuitem - also table
            name - name for menuitem
            action - string in lua to perform when item activated

addPopupMenu ( .I menu ) Adds menu in popup menu, similar to addMenu.

setEncoding ( encoding ) Changes encoding for active tab.
    encoding - string with encoding name.

setTabTitle ( tabTitle ) Changes title for active tab.
    tabTitle - string with new tab title.

setWindowTitle ( title ) Changes termit window title.
    title - string with new title.

setTabForegroundColor ( color ) Changes foreground (e.g. font) color for active tab.
    color - string with new color.

setTabBackgroundColor ( color ) Changes background color for active tab.
    color - string with new color.

spawn ( command ) Spawns command (works via shell).
    command - string with command and arguments.

reconfigure () Sets all configurable variables to defaults and forces rereading init.lua.

BUGS
After start sometimes there is black screen. Resizing termit window helps.

AUTHOR
Evgeny Ratnikov <ratnikov.ev at gmail dot com>

SEE ALSO
lua(1)